Locations
    • Locations Specification
    • Schema
    • Find a location
      GET
    • Get auto suggest values
      GET
    • Lookup a postcode
      GET
    • Lookup a known location
      GET
    • Create a batch job
      POST
    • Gets the status of a batch job
      GET
    • Gets the parsed results for a job
      GET
    • Gets a location from lat, long.
      GET
    • Schemas
      • Schemas
        • Location
        • Point
        • Postcode
        • Job

      Find a location

      GET
      /search
      This is our most generic search. It will be /search you will pass it a query ?q=<string> and it will perform an open search on the provider. You should also be able to pass it a limit=<num> to the limit the results. It should also be able to receive an optional &county=<string> value to limit results to a known country.
      All places returned should be added to our local DB (if they haven't been already).

      Request

      Query Params

      Request Code Samples

      Shell
      JavaScript
      Java
      Swift
      Go
      PHP
      Python
      HTTP
      C
      C#
      Objective-C
      Ruby
      OCaml
      Dart
      R
      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      curl --location 'https://mock.apidog.com/m1/460771-0-default/search?q=undefined&country=undefined&limit=undefined'

      Responses

      🟢200OK
      application/json
      Bodyapplication/json

      Example
      [
          {
              "hash": "19686d84-b10d-4f90-b18e-84fd3fa038fd",
              "name": "string",
              "display_name": "string",
              "address": {},
              "centroid": {
                  "long": 0,
                  "lat": 0
              },
              "bounding_box": [
                  {
                      "long": 0,
                      "lat": 0
                  }
              ],
              "type": "place",
              "meta": {
                  "key": "string"
              }
          }
      ]
      🟠406Not Acceptable
      Modified at 2024-04-08 09:55:59
      Previous
      Schema
      Next
      Get auto suggest values
      Built with